Bug 79480 - VIEWING: Deleting rows from this sheet will result in Page breaks to be displayed
Summary: VIEWING: Deleting rows from this sheet will result in Page breaks to be displ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Calc-Page-Break Cell-Add-Delete
  Show dependency treegraph
 
Reported: 2014-05-31 12:23 UTC by lore
Modified: 2020-02-23 02:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file (7.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-05-31 12:23 UTC, lore
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lore 2014-05-31 12:23:28 UTC
Created attachment 100198 [details]
Test file

Dear all,
I have a big file for which every time I delete a row or a column I get the page breaks to appear. They eventually disappear if the file is closed and then reopened and appear back when I row/column is deleted. I'm attaching an empty sheet of that big file. With a new empty document that does not happen so I guess something is triggering this behavior here but I haven't been able to find what that is…

I remember that happening also with older versions…
  
Steps to reproduce:
1. Open the file attached
2. Select a row
3. Delete the row

Current behavior:
Page breaks are shown

Expected behavior:
Page breaks should be kept hidden 

              
Operating System: Mac OS X
Version: 4.2.4.2 release
Comment 1 ign_christian 2014-06-10 04:19:24 UTC
confirm with 4.0.6.2 - Win7 x86
Comment 2 QA Administrators 2015-07-18 17:43:06 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-10-17 12:59:06 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 4 QA Administrators 2016-11-08 11:21:41 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2020-02-23 02:47:58 UTC
Dear lore,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug